## org.eclipse.datatools.enablement.sybase.containment
Class AuthorizationIdContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.enablement.sybase.containment.AuthorizationIdContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class AuthorizationIdContainmentProvider

extends AbstractContainmentProvider

Logical containment provider for authorization identifier

Author:
  Idull

Constructor Summary
`AuthorizationIdContainmentProvider()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`getContainedElements, getContainmentFeature, isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationIdContainmentProvider

    public AuthorizationIdContainmentProvider()

Method Detail

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)

### getContainer

    public org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainer` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainer` in class `AbstractContainmentProvider`